MEF 1.0 RTM for .NET 3.5

May 11, 2010 at 6:37 PM

Request: Please provide a download with MEF 1.0 RTM for the .NET Framework 3.5.

This would increase the acceptance of MEF for using it in .NET 3.5 applications.

Thanks in advance

May 11, 2010 at 9:13 PM

This has been brought up a few times, and I dont believe this is likely to happen. Is there any thing stopping you from adopting the .net 4.0's version?

May 13, 2010 at 9:55 AM

The main reason that we cannot use .NET 4 at the moment is that some 3rd party components don’t work right anymore or their vendors doesn’t official support .NET 4 yet.

We started developing a .NET 3.5 SP1 application and would like to use MEF. But ‘Preview 9’ sounds very ‘experimental’ and it’s hard to convince the management to use a component in ‘Beta’ state. However, the plan is to upgrade to .NET 4 with the next major release and then it would be nice when the migration regarding MEF runs smooth.